<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Task List</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>

<body>
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-8">
          <h1 class="mt-2">Tasks List </h1>
          <hr class="mt-0 mb-4">
   <div class="list-group">
       <h4>Do you want to create task?</h4>
             <form>
                    <input type="button" value="Create Task" onclick="window.location.href='{% url 'create_task' %}'" class="btn btn-info" />
                    </form>

  {% for task in object_list %}
  <a href="{% url 'task_detail' task.id %}" class="list-group-item list-group-item-action flex-column align-items-start">
    <div class="d-flex w-100 justify-content-between">
      <h5 class="mb-1"> {{task.title}}</h5>

      <small class="text-muted">{{task.time|time:"H:i"}}</small>

    </div>
      <div>
        <span>
            <form action="{% url 'task_done' task.id %}" method="post">
            {% csrf_token %}
        <button type="submit" class="btn btn-success">Done</button>
            </form>
        </span>
          </div>
    <small class="text-muted">{{task.get_priority_display}}</small>
  {% endfor %}
</body>
</html>